<template>
  <div class="hello">
    <div class="item"
         v-for="(obj, key) in blocks"
          :key="key">
      <p>Хэш - {{obj.mixHash}}</p>
      <p>Номер блока - {{obj.number}}</p>
      <p>Транзакций - {{obj.transactions.length}}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Block',
  props: {
    msg: String,
    blocks: Array,
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.hello {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
.item {
  backdrop-filter: blur(112px);
  /*background: transparent;*/
  border: 4px #a3abf7 solid;
  border-radius: 2px;
  height: 120px;
  width: 800px;
  margin-bottom: 1rem;
}
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
